Subject: Re: [PATCH 0/7] Add a new --remerge-diff capability to show & log

From: Junio C Hamano <[email-masked]>
Date: Wed, 01 Sep 2021 14:55:25 -0700

Elijah Newren <[email-masked]> writes:

> We do have `git diff AUTO_MERGE`, though.  It's not quite the same as
> it doesn't include all the "CONFLICT" messages shown in the terminal
> like --remerge-diff does with log/show, but otherwise it's the same.

Ah, forgot about that one, so we are good.

> Perhaps we could even alias `git diff --remerge-diff` to `git diff
> AUTO_MERGE`?

I do not think it is a good idea to hide AUTO_MERGE behind an
option.  It is a feature that deserves more user awareness by
itself.

Thanks.